<div class="card-container">
  <mat-card>
    <mat-card-content>
      <mat-tree [dataSource]="nestedDataSource" [treeControl]="nestedTreeControl" class="tree">
        <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
          <li class="mat-tree-node">
            <button mat-icon-button disabled></button>
            {{ node.accountNumber }} - {{ node.accountName }}
          </li>
        </mat-tree-node>

        <mat-nested-tree-node *matTreeNodeDef="let node; when: hasNestedChild">
          <li>
            <div class="mat-tree-node">
              <button mat-icon-button matTreeNodeToggle
                      [attr.aria-label]="'toggle ' + node.accountNumber">
                <mat-icon class="mat-icon-rtl-mirror">
                  {{nestedTreeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
                </mat-icon>
              </button>
              {{node.accountNumber}}
            </div>
            <ul [class.tree-invisible]="!nestedTreeControl.isExpanded(node)">
              <ng-container matTreeNodeOutlet></ng-container>
            </ul>
          </li>
        </mat-nested-tree-node>
      </mat-tree>
    </mat-card-content>
  </mat-card>
</div>
